package co.yixiang.yshop.module.member.convert.usertaggroup;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.usertaggroup.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.usertaggroup.UserTagGroupDO;

/**
 * 会员标签分组 Convert
 *
 * @author admin
 */
@Mapper
public interface UserTagGroupConvert {

    UserTagGroupConvert INSTANCE = Mappers.getMapper(UserTagGroupConvert.class);

    UserTagGroupDO convert(UserTagGroupCreateReqVO bean);

    UserTagGroupDO convert(UserTagGroupUpdateReqVO bean);

    UserTagGroupRespVO convert(UserTagGroupDO bean);

    List<UserTagGroupRespVO> convertList(List<UserTagGroupDO> list);

    PageResult<UserTagGroupRespVO> convertPage(PageResult<UserTagGroupDO> page);

    List<UserTagGroupExcelVO> convertList02(List<UserTagGroupDO> list);

}
